Google

Integrate your application with the Google API

🚀 Quickstart

Connect to Google with Tenklo and see data flow in 2 minutes.

Create the integration

In Tenklo (free signup), go to Integrations -> Configure New Integration -> Google. Tenklo doesn't provide a test OAuth app for Google yet. You'll need to set up your own by following the setup guide linked below. After that, make sure to add the OAuth client ID, secret, and scopes in the integration settings in Tenklo.

Authorize Google

Go to Connections -> Add Test Connection -> Authorize, then log in to Google. Later, you'll let your users do the same directly from your app.

Call the Google API

Let's make your first request to a Google API (fetch a list of files). Replace the placeholders below with your Environment API key, integration ID, and connection ID:

curl "https://api.tenklo.dev/proxy/drive/v3/files?pageSize=10" \
  -H "Authorization: Bearer <NANGO-API-KEY>" \
  -H "Provider-Config-Key: <INTEGRATION-ID>" \
  -H "Connection-Id: <CONNECTION-ID>"

Or fetch credentials with the Node SDK or API.

✅ You're connected! Check the Logs tab in Tenklo to inspect requests.

Implement Tenklo in your app

Follow our Auth implementation guide to integrate Tenklo in your app.

To obtain your own production credentials, follow the setup guide linked below.

📚 Google Integration Guides

Tenklo maintained guides for common use cases.

Official docs: Google OAuth 2.0 Documentation

🧩 Pre-built syncs & actions for Google

Explore Nango-provided actions in your dashboard. Extend and customize them to fit your needs.

Others

Function nameDescriptionTypeSource code
workspace-org-unitsSync all workspace org unitsSync🔗 Github
workspace-user-access-tokensSync all workspace users access tokensSync🔗 Github
workspace-usersSync all workspace usersSync🔗 Github

On this page